class CargoDist < Formula
  desc "Shippable application packaging for Rust"
  version "0.12.0-prerelease.3"
  on_macos do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_OQt4gJjDRqpyGN3CvoJcI/cargo-dist-aarch64-apple-darwin.tar.xz"
      sha256 "4d60f04ad8e10eb4d3f72b60cb6e140c5ed2b40b13dde9e22d3755b32257b877"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_OQt4gJjDRqpyGN3CvoJcI/cargo-dist-x86_64-apple-darwin.tar.xz"
      sha256 "cb2fce306d473fffe9f0f17f1ef8689420c1a8e64a636a94a9343a11a666e3c2"
    end
  end
  on_linux do
    on_arm do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_OQt4gJjDRqpyGN3CvoJcI/cargo-dist-aarch64-unknown-linux-gnu.tar.xz"
      sha256 "0c7a01bbf7b85d7d532dd84bdde49c1e5ce8810f5b687abe722b64f2244adec6"
    end
    on_intel do
      url "https://axodotdev.artifacts.axodotdev.host/cargo-dist/ax_OQt4gJjDRqpyGN3CvoJcI/cargo-dist-x86_64-unknown-linux-gnu.tar.xz"
      sha256 "fd5b89a176ad216eba4e5c024fe5b23104f9866255d0ab0feb4e87705b159ff9"
    end
  end
  license "MIT OR Apache-2.0"

  def install
    on_macos do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_macos do
      on_intel do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_arm do
        bin.install "cargo-dist"
      end
    end
    on_linux do
      on_intel do
        bin.install "cargo-dist"
      end
    end

    # Homebrew will automatically install these, so we don't need to do that
    doc_files = Dir["README.*", "readme.*", "LICENSE", "LICENSE.*", "CHANGELOG.*"]
    leftover_contents = Dir["*"] - doc_files

    # Install any leftover files in pkgshare; these are probably config or
    # sample files.
    pkgshare.install *leftover_contents unless leftover_contents.empty?
  end
end
